<?php

namespace FiloBlu\Cegid\Api;

use FiloBlu\Cegid\Api\Data\SellerInterface;

/**
 * Class SellerRepositoryInterface
 * @package FiloBlu\Cegid\Api
 */
interface SellerRepositoryInterface {
    /**
     * @param $id
     * @return SellerInterface
     */
    public function get($id);

    /**
     * @param $name
     * @return mixed
     */
    public function searchByName($name);

    /**
     * @param SellerInterface $seller
     * @return mixed
     */
    public function save(SellerInterface $seller);
}